module JcB
  module Add_Skm
    def self.skm_loader
      user= ENV["HOME"].dup
      materials_path = Sketchup.find_support_file("Materials")
      plugins_path = File.dirname(__FILE__)
      new_mats = File.join(plugins_path, "move_mats")
      usr_mats = materials_path.include? user
      usr_plugins = plugins_path.include? user

      if usr_plugins and not usr_mats
        File.rename(new_mats,(new_mats.sub("Plugins/move_mats", "Materials")))
        File.delete(__FILE__)
      else
        Dir.glob("#{new_mats}/*").each do|f|
        File.rename(f, f.sub("Plugins/move_mats", "Materials"))
        end
        Dir::rmdir(new_mats)
        File.delete(__FILE__)
      end
    end
  end
end

 result = UI.messagebox("ready to load new skm's?", MB_YESNO)
 if result == IDYES
   JcB::Add_Skm.skm_loader
   UI.messagebox("Skm's have been added to \n#{Sketchup.find_support_file('Materials')}")
 end
